Page MenuHomePhabricator

Creating CollaborationListContent features does not work on Beta Cluster
Closed, ResolvedPublic

Description

When creating a hub feature of the CollaborationListContent type through Special:CreateHubFeature, it fails with a server error. This does not happen when creating regular wikitext pages through the same process. This also only appears to happen on Beta Cluster.

Likewise, member lists generate just fine upon hub creation (via Special:CreateCollaborationHub), nor is there a problem if you manually create a page through Special:ChangeContentModel.

Event Timeline

Harej created this task.Apr 20 2017, 2:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 2:15 AM
Harej updated the task description. (Show Details)Apr 20 2017, 2:19 AM

Whats the error in question?

Harej added a subscriber: Catrope.Apr 27 2017, 7:24 AM

@Catrope figured it out. We were actually getting 500 errors, so he looked at the server logs. Turns out somewhere in the source code we were illegally calling an instance method as though it were static. I have a patch ready that will fix that.

Change 350519 had a related patch set uploaded (by Harej; owner: Harej):
[mediawiki/extensions/CollaborationKit@master] Properly instantiating object to call method.

https://gerrit.wikimedia.org/r/350519

Change 350519 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Properly instantiating object to call method.

https://gerrit.wikimedia.org/r/350519

Harej closed this task as Resolved.Apr 28 2017, 8:37 PM
Harej moved this task from In Progress to Done on the MediaWiki-extensions-CollaborationKit board.